Logic Express 9 not compatible with Mountain Lion?

Discussion in 'Recording/Live Sound' started by Creighton, Jan 28, 2015.

  1. Creighton

    Creighton Member

    Messages:
    1,779
    Joined:
    Oct 25, 2009
    Location:
    Earth
    I just installed Logic Express 9 retail version on my Macbook Pro running OSX 10.8 and after the installation (which checks compatibility prior to installing) it shows the logic express icon grayed out on the applications and when I open it it says 'you cannot run logic express 9 with this version of OSX'.

    What's the deal? My computer meets the stated spec requirements written on the box of OSX 10.5.7 or later and all the other minimum specifications.
     
  2. tjontheroad

    tjontheroad Supporting Member

    Messages:
    5,992
    Joined:
    Oct 10, 2014
    Location:
    New Jersey... YOU GOTTA PROBLEM WITH THAT?!?!
    Deal is, Apple wants you to "upgrade" to Yosemite and Logic Pro X. LPX is defiantly worth it. Look for discounted iTune cards before buy.
     
  3. SteveO

    SteveO Member

    Messages:
    14,869
    Joined:
    Dec 27, 2009
    Location:
    Seattle
    I've got both Logic 9 (full version) and X on my machine, running Yosemite.
     
  4. screamtone

    screamtone Supporting Member

    Messages:
    2,955
    Joined:
    Jun 6, 2005
    Location:
    Derby City
    I went through this, and I think there is a Logic Express 9 update that makes it work on the new 32-bit versions of OS 10xx. Im running Yosemite, and LE9 works for me, and I know I updated something.
     

Share This Page